# md4tj

## Summary
A language and parser written in Emacs Lisp for my custom extension of Markdown, md4tj. Main features are div declarations, RSS support, and support of only a subset of the Markdown language that I need

## Progress
### Basic Syntax
- [x] Heading
- [x] Bold
- [x] Italic
- [ ] Blockquote
- [x] Ordered List
- [x] Unordered List
- [x] Code
- [x] Horizontal Rule
- [x] Link
- [x] Image

### Extended Syntax
- [ ] Table
- [x] Fenced Code Block
- [ ] Footnote (Will not implement)
- [ ] Heading ID (Will not implement)
- [ ] Definition List (Will not implement)
- [x] Strikethrough
- [ ] Task List (Will not implement)
- [ ] Emoji (Will not implement)
- [x] Highlight
- [ ] Subscript (Will not implement)
- [ ] Superscript (Will not implement)

### md4tj's Custom Extensions
- [x] Custom Divs
- [x] Blog generation
- [x] RSS feeds for blogs
- [x] LaTeX image generation and embedding
- [x] Including other md4tj files
- [x] Videos
- [x] Last updated directive
- [x] Meta directive
- [x] Page title directive
- [x] CSS inclusion directive
- [x] Language directive